> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update bundle stage by ID

> Update bundle stage by ID



## OpenAPI

````yaml /api-specs/6.3/governance-api.yaml patch /bundles/{id}/stages/{stageID}
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Service responsible for managing Domino Governance feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Domino Governance API
  version: '1.0'
servers: []
security: []
paths:
  /bundles/{id}/stages/{stageID}:
    patch:
      tags:
        - bundles
      summary: Update bundle stage by ID
      description: Update bundle stage by ID
      parameters:
        - description: ID of bundle to update
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: ID of stage to update
          in: path
          name: stageID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.UpdateBundleStage'
        description: Bundle stage to update
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/guardrails.BundleStage'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.UpdateBundleStage:
      properties:
        assignee:
          $ref: '#/components/schemas/guardrails.BundleStageAssignee'
      type: object
    guardrails.BundleStage:
      properties:
        assignedAt:
          type: string
        assignee:
          $ref: '#/components/schemas/guardrails.BundleStageAssignee'
        bundleId:
          type: string
        stage:
          $ref: '#/components/schemas/guardrails.Stage'
        stageId:
          type: string
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    guardrails.BundleStageAssignee:
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
      type: object
    guardrails.Stage:
      properties:
        approvals:
          items:
            $ref: '#/components/schemas/guardrails.StageApproval'
          type: array
        evidenceSet:
          items:
            $ref: '#/components/schemas/guardrails.Evidence'
          type: array
        id:
          type: string
        name:
          type: string
        policyVersionId:
          type: string
      type: object
    guardrails.StageApproval:
      properties:
        approvers:
          items:
            $ref: '#/components/schemas/guardrails.Approver'
          type: array
        evidence:
          $ref: '#/components/schemas/guardrails.Evidence'
        id:
          type: string
        name:
          type: string
        required:
          type: boolean
      type: object
    guardrails.Evidence:
      properties:
        artifacts:
          items:
            $ref: '#/components/schemas/guardrails.EvidenceArtifact'
          type: array
        createdAt:
          type: string
        description:
          type: string
        externalId:
          type: string
        id:
          type: string
        name:
          type: string
        policyId:
          type: string
        policyVersionId:
          type: string
        scope:
          $ref: '#/components/schemas/guardrails.EvidenceScope'
        visible:
          description: >-
            allows true, false or nil values (if nil, FE can decide to show
            everything)
          type: boolean
      type: object
    guardrails.Approver:
      properties:
        editable:
          type: boolean
        fromOrganizationUserId:
          type: string
        id:
          type: string
        isOrganizationUser:
          type: boolean
        name:
          type: string
        showByDefault:
          type: boolean
      required:
        - editable
        - id
        - name
        - showByDefault
      type: object
    guardrails.EvidenceArtifact:
      properties:
        artifactType:
          $ref: '#/components/schemas/guardrails.ArtifactType'
        details:
          type: object
        id:
          type: string
        required:
          type: boolean
        visibilityRule:
          type: string
        visible:
          description: >-
            allows true, false or nil values (if nil, FE can decide to show
            everything)
          type: boolean
      type: object
    guardrails.EvidenceScope:
      enum:
        - Global
        - Local
      type: string
      x-enum-varnames:
        - Global
        - Local
    guardrails.ArtifactType:
      enum:
        - input
        - guidance
        - policyScriptedCheck
        - metadata
      type: string
      x-enum-varnames:
        - Input
        - Guidance
        - AutomatedJob
        - Metadata

````